<?php 
/**
 * if ... elseif ... else ... 3 - if_else_3.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-05-09
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Comparador de tres números (Resultado). if ... elseif ... else ... 
  Ejercicios. PHP. Bartolomé Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
</head>

<body>
<h1>Comparador de tres números (Resultado)</h1>
<?php
function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? strip_tags(trim(htmlspecialchars($_REQUEST[$var]))) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    return $tmp;
}

$numero1   = recoge('numero1');
$numero2   = recoge('numero2');
$numero3   = recoge('numero3');
$numero1Ok = FALSE;
$numero2Ok = FALSE;
$numero3Ok = FALSE;

if ($numero1=="") {
    print "<p style=\"color: red\">No ha escrito el primer número.</p>\n";
} elseif (!is_numeric($numero1)) { 
    print "<p style=\"color: red\">No ha escrito el primer número como número.</p>\n";
} elseif ($numero1<=-1000 || $numero1>=1000) {
    print "<p style=\"color: red\">El primer número no está entre -1.000 y 1.000.</p>\n";
} else {
    $numero1Ok = TRUE;
}

if ($numero2=="") {
    print "<p style=\"color: red\">No ha escrito el segundo numero.</p>\n";
} elseif (!is_numeric($numero2)) { 
    print "<p style=\"color: red\">No ha escrito el segundo número como número.</p>\n";
} elseif ($numero2<=-1000 || $numero2>=1000) {
    print "<p style=\"color: red\">El segundo número no está entre -1.000 y 1.000.</p>\n";
} else {
    $numero2Ok = TRUE;
}

if ($numero3=="") {
    print "<p style=\"color: red\">No ha escrito el tercer numero.</p>\n";
} elseif (!is_numeric($numero3)) { 
    print "<p style=\"color: red\">No ha escrito el tercer número como número.</p>\n";
} elseif ($numero3<=-1000 || $numero3>=1000) {
    print "<p style=\"color: red\">El tercer número no está entre -1.000 y 1.000.</p>\n";
} else {
    $numero3Ok = TRUE;
}

if ($numero1Ok && $numero2Ok && $numero3Ok) {
    print "<p>Primer número: <strong>$numero1</strong></p>\n";
    print "<p>Segundo número: <strong>$numero2</strong></p>\n";
    print "<p>Tercer número: <strong>$numero3</strong></p>\n";
    if (($numero1==$numero2) && ($numero2==$numero3)) {
        print "<p>Has escrito tres números iguales.</p>\n";
    } elseif (($numero1==$numero2) || ($numero2==$numero3) || ($numero1==$numero3)) {
        print "<p>Has escrito dos números iguales.</p>\n";
    } else {
        print "<p>Has escrito tres números distintos.</p>\n";
    }        
}

print "<p><a href=\"if_else_3.html\">Volver al formulario.</a></p>\n";
?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 9 de mayo de 2011 
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
